Package wx :: Class ColourPickerEvent

[frames | no frames]

## Type ColourPickerEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
                        ColourPickerEvent

Proxy of C++ ColourPickerEvent class

Method Summary
CommandEvent | ``__init__`(self, commandType, winid)` This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.
Colour | `GetColour(self)`
| `SetColour(self, c)`

Property Summary
| `Colour`: See `GetColour` and `SetColour`
| `thisown`: The membership flag

Method Details

### __init__(self, generator, id, col)
(Constructor)

This event class contains information about command events, which originate from a variety of simple controls, as well as menus and toolbars.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    CommandEvent
  Overrides:
    `wx.CommandEvent.__init__` (inherited documentation)

Property Details

### Colour

See `GetColour` and `SetColour`

  Get Method:
    `GetColour`(self)
  Set Method:
    `SetColour`(self, c)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:44 2007 | http://epydoc.sf.net